ul, ol {
    list-style: none;
}
* {
    margin: 0;
    padding: 0;
}
#canvas {
    background-color: rgb(248, 248, 248);
    display: block;
    position: fixed;
    top: 0;
    left: 0;
}
body {
    overflow: hidden;
}
button {
    border-radius: 4px;
    font-family: Arial, Helvetica, sans-serif;
    background: linear-gradient(to bottom, #ebe8e8 0%, #e6e3e3 100%);
    border: 1px solid #6e6d6d;
    color: #0c0c0c;
}
.actions {
    position: fixed;
    top: 0;
    left: 0;
    padding: 10px;
}
.actions svg {
    width: 1.5em;
    height: 1.5em;
    fill:#8b8b8b;
    transition: all 0.2s;
    margin: 5px;
}
#pen {
    width: 1.3em;
}



.actions svg.active {
    fill: #222222;
    transform: scale(1.1);
}


.icon {
   width: 1em; height: 1em;
   vertical-align: -0.15em;
   fill: currentColor;
   overflow: hidden;
}
.colors {
    position: fixed;
    top: 50px;
    left: 5px;
}
.colors > li {
    width: 20px;
    height: 20px;
    margin: 8px;
    border-radius: 50%;
    box-shadow: 2px 2px 4px rgba(0, 0, 0, 0.25);
    transition: all 0.2s;
}
.colors > li.black {
    background: black;
}
.colors > li.red {
    background: red;
}
.colors > li.green {
    background: green;
}
.colors > li.yellow {
    background: yellow;
}
.colors > li.blue {
    background: blue;
}
.colors > li.active {
    box-shadow: 2px 2px 4px rgb(80, 79, 79);
    /* 放大1.1倍 */
    transform: scale(1.1);
    /* 过渡动画 */
}
.sizes {
    position: fixed;
    right: 15px;
    top: 10px;
}
.sizes > li {
    margin: 10px;
}
.sizes > .thin {
    width: 30px;
    height: 0;
    border-top: 3px solid #222222;
}
.sizes > .thick {
    width: 30px;
    height: 0;
    border-top: 5px solid #222222;
}